#! /usr/bin/perl
#
###############################################################################
#
# Copyright (C) 2004-2009 by Kostis Netzwerkberatung
# Talstr. 25, D-63322 Roedermark, Germany
# kosta@kostis.de, http://www.kostis.de/
#
# 2009-02-03: V1.40 KK
#     - initial re-release
#
# You may use this software free of charge at your own risk.
#
###############################################################################
#
# display ipblocks to be ignored by some reports
#
###############################################################################
#

require "CiscoTools.pl" ;

###############################################################################

my $version="1.36 (2009-02-03)" ;
my $prgnam = basename ($0) ;

###############################################################################
# HTML title
###############################################################################

$TITLE="CiscoTools $prgnam $location" ;
$H1="<strong><font color=\"#0000A0\">Cisco</font><font color=\"#0000FF\">Tools</font></strong> $prgnam $location" ;

###############################################################################
# main ()
###############################################################################

###############################################################################
# HTML head
###############################################################################

print <<HTML_HEAD;
Content-type: text/html

<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">

<html>

  <head>

    <title>$TITLE</title>
    <meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1">
    <meta http-equiv=Content-Language content=en>
    <meta content="CiscoTools" name=description>
    <meta content="Kostis Netzwerkberatung" name=author>
    <meta content="Kostis Netzwerkberatung" name=publisher>
    <meta content="Kostis Netzwerkberatung" name=copyright>
    <meta name="GENERATOR" content="$prgnam $version">
    <link rev="made" href="mailto:kosta@kostis.de">
    <link href="/cisco/style.css" rel=stylesheet>

  </head>

  <body>

    <h1>$H1</h1>

HTML_HEAD

###############################################################################
# check if user is allowed to view this location
###############################################################################

read_locations () ;

if (not exists ($plocations {$location}))
{
###############################################################################
	print <<HTML_NOPERM;
    <p>Your account $username has no permission to view location $location</p>

    <p>$prgnam $version</p>

  </body>

</html>
HTML_NOPERM
###############################################################################
	exit ;
}

print <<HTML_TABLE;
    <table>
      <tr><td class="title">ipblock</td><td class="title">comment</td></tr>
HTML_TABLE

###############################################################################
# read ignoremac data
###############################################################################

read_ignorearp () ;

###############################################################################
# display ignorearp data
###############################################################################

$num_ignorearp = keys %ignorearp ;
foreach $ipblock (sort keys %ignorearp)
{
	print <<HTML_TABLE_LINE;
      <tr><td>$ipblock&nbsp;</td><td>$ignorearp{$ipblock}&nbsp;</td></tr>
HTML_TABLE_LINE
}

###############################################################################
# HTML tail
###############################################################################

print <<HTML_TAIL;
    </table>

    <h2>$prgnam $location statistics</h2>

    <p>$num_ignorearp ipblocks ignored by selected reports</p>

    <p>$prgnam $version</p>

  </body>

</html>
HTML_TAIL
