#! /usr/bin/perl
#
###############################################################################
#
# Copyright (C) 2004-2009 by Kostis Netzwerkberatung
# Talstr. 25, D-63322 Roedermark, Germany
# kosta@kostis.de, http://www.kostis.de/
#
# 2009-02-03: V1.40 KK
#     - initial release
#
# You may use this software free of charge at your own risk.
#
###############################################################################
#
# main menue with given location
#
###############################################################################
#

require "CiscoTools.pl" ;

my $version="1.40 (2009-02-03)" ;
my $prgnam = basename ($0) ;

my $midnight = iso8601_now ("midnight") ;

###############################################################################
# display html header
###############################################################################

sub html_head ()
{
	print <<HTML_HEAD;
Content-type: text/html

<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.0 Frameset//EN">

<html>

  <head>

    <title>CiscoTools $location</title>
    <meta http-equiv=Content-Type content="text/html; charset=iso-8859-1">
    <meta http-equiv=Content-Language content=en>
    <meta content="CiscoTools" name=description>
    <meta content="Kostis Netzwerkberatung" name=author>
    <meta content="Kostis Netzwerkberatung" name=publisher>
    <meta content="Kostis Netzwerkberatung" name=copyright>
    <meta name="GENERATOR" content="$prgnam $version">
    <link rev="made" href="mailto:kosta@kostis.de">
    <link href="/cisco/style.css" rel=stylesheet>

  </head>

  <body>

    <h1><strong><font color="#0000A0">Cisco</font><font color="#0000FF">Tools</font></strong> $location</h1>

HTML_HEAD
}

###############################################################################
# main(:)
###############################################################################

html_head () ;
read_locations () ;

if (not exists ($plocations {$location}))
{
###############################################################################
	print <<HTML_NOPERM;
    <p>Your account $username has no permission to view location $location</p>

    <p>$prgnam $version</p>

  </body>

</html>
HTML_NOPERM
###############################################################################
	exit ;
}

print <<HTML_PERM;
    <p>
      Copyright &copy; 2004-2008 by
      <strong><font color="#0000A0">Kostis</font> <font color="#0000FF">Netzwerkberatung</font></strong>
      (<a href="http://www.kostis.de/" class="KK" target="_blank">http://www.kostis.de/</a>)<br>
      Konstantinos Kostis, Talstr. 25, D-63322 R&ouml;dermark, Germany, Tel. +49 6074 881056, +49 177 6713674<br>
      You may use this software free of charge at your own risk.
    </p>

    <table border="1">

      <tr>
        <td class="title"><strong><font color="#0000A0">Cisco</font><font color="#0000FF">Tools</font></strong>&nbsp;</td>
        <td class="title">documentation</td>
      </tr>

      <tr>
        <td><a href="/cisco/" target="_blank">home</a>&nbsp;</td>
        <td>main entry</td>
      </tr>

      <tr>
        <td><a href="/cisco/docs/" target="_blank">docs</a>&nbsp;</td>
        <td>documentation on <strong><font color="#0000A0">Cisco</font><font color="#0000FF">Tools</font></strong></td>
      </tr>

      <tr>
        <td><a href="/cgi-bin/cisco/oui.cgi" target="_blank">oui</a>&nbsp;</td>
        <td>copy from IEEE website display in HTML table format</li>
      </tr>

      <tr>
        <td class="title"><strong><font color="#0000A0">Cisco</font><font color="#0000FF">Tools</font></strong>&nbsp;</td>
        <td class="title">arplog</td>
      </tr>

      <tr>
        <td><a href="/cgi-bin/cisco/arplog.cgi?location=$location" target="_blank">arplog</a>&nbsp;</td>
        <td>list mac,ipaddr sorted by mac</td>
      </tr>

      <tr>
        <td><a href="/cgi-bin/cisco/arplog-ip.cgi?location=$location" target="_blank">arplog-ip</a>&nbsp;</td>
        <td>list ipaddr,mac sorted by ipaddr</td>
      </tr>

      <tr>
        <td class="title"><strong><font color="#0000A0">Cisco</font><font color="#0000FF">Tools</font></strong>&nbsp;</td>
        <td class="title">maclog</td>
      </tr>

      <tr>
        <td><a href="/cgi-bin/cisco/maclog.cgi?location=$location" target="_blank">maclog</a>&nbsp;</td>
        <td>list switch,interface,mac</td>
      </tr>

      <tr>
        <td><a href="/cgi-bin/cisco/maclog-csv.cgi?location=$location" target="_blank">maclog-csv</a>&nbsp;</td>
        <td>same in csv format</td>
      </tr>

      <tr>
        <td class="title"><strong><font color="#0000A0">Cisco</font><font color="#0000FF">Tools</font></strong>&nbsp;</td>
        <td class="title">special reports</td>
      </tr>

      <tr>
        <td><a href="/cgi-bin/cisco/ipblocks.cgi?location=$location" target="_blank">ipblocks</a>&nbsp;</td>
        <td>list ipblocks in use</td>
      </tr>

      <tr>
        <td><a href="/cgi-bin/cisco/duplicate-ip.cgi?location=$location" target="_blank">duplicate ipaddr</a>&nbsp;</td>
        <td>list potential duplicate ipaddr</td>
      </tr>

      <tr>
        <td><a href="/cgi-bin/cisco/multiplemac.cgi?location=$location" target="_blank">multiple mac</a>&nbsp;</td>
        <td>list switch interfaces with more than one mac seen</td>
      </tr>

      <tr>
        <td><a href="/cgi-bin/cisco/roamingmac.cgi?location=$location" target="_blank">roaming mac</a>&nbsp;</td>
        <td> list mac seen on multiple switch interface</td>
      </tr>

      <tr>
        <td><a href="/cgi-bin/cisco/arplog-ip.cgi?location=$location&amp;listnodns=yes" target="_blank">no dns</a>&nbsp;</td>
        <td>list ipaddr,mac with no reverse dns resolution</td>
      </tr>

      <tr>
        <td><a href="/cgi-bin/cisco/arplog-ip.cgi?location=$location&amp;listafter=$midnight" target="_blank">used arp since midnight</a>&nbsp;</td>
        <td>list ipaddr,mac in use since given date</td>
      </tr>

      <tr>
        <td><a href="/cgi-bin/cisco/arplog-ip.cgi?location=$location&amp;listbefore=$midnight" target="_blank">unused arp since midnight</a>&nbsp;</td>
        <td>list ipaddr,mac not in use since given date</td>
      </tr>

      <tr>
        <td><a href="/cgi-bin/cisco/maclog.cgi?location=$location&amp;listafter=$midnight" target="_blank">used interface since</a>&nbsp;</td>
        <td>list switch interfaces in use since given date</td>
      </tr>

      <tr>
        <td><a href="/cgi-bin/cisco/maclog.cgi?location=$location&amp;listbefore=$midnight" target="_blank">unused interface since</a>&nbsp;</td>
        <td>list switch interfaces not in use since given date</td>
      </tr>

      <tr>
        <td class="title"><strong><font color="#0000A0">Cisco</font><font color="#0000FF">Tools</font></strong>&nbsp;</td>
        <td class="title">configuration</td>
      </tr>

      <tr>
        <td><a href="/cgi-bin/cisco/portmaps.cgi?location=$location" target="_blank">portmaps</a>&nbsp;</td>
        <td>list switch connections</td>
      </tr>

      <tr>
        <td><a href="/cgi-bin/cisco/ignorearp.cgi?location=$location" target="_blank">ignorearp</a>&nbsp;</td>
        <td>list ipblocks to be ignored by selected reports</td>
      </tr>

      <tr>
        <td><a href="/cgi-bin/cisco/ignoremac.cgi?location=$location" target="_blank">ignoremac</a>&nbsp;</td>
        <td>list macs to be ignored by selected reports</td>
      </tr>

    </table>

    <p>$prgnam $version</p>

  </body>

</html>
HTML_PERM
