#! /usr/bin/perl
#
###############################################################################
#
# Copyright (C) 2004-2009 by Kostis Netzwerkberatung
# Talstr. 25, D-63322 Roedermark, Germany
# kosta@kostis.de, http://www.kostis.de/
#
# 2009-02-03: V1.40 KK
#     - initial re-release
#
# You may use this software free of charge at your own risk.
#
###############################################################################
#
# display oui.txt in HTML table format
#
###############################################################################
#

$location = "" ;

require "CiscoTools.pl" ;

###############################################################################

my $version="1.40 (2009-02-03)" ;
my $prgnam = basename ($0) ;

###############################################################################
# HTML title and settings
###############################################################################

$TITLE="CiscoTools $prgnam" ;
$H1="<strong><font color=\"#0000A0\">Cisco</font><font color=\"#0000FF\">Tools</font></strong> $prgnam" ;

###############################################################################
#
# main ()
#
###############################################################################

print <<HTML_HEAD;
Content-type: text/html

<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN"

<html>

  <head>

    <title>$TITLE</title>
    <meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1">
    <meta http-equiv=Content-Language content=en>
    <meta content="CiscoTools" name=description>
    <meta content="Kostis Netzwerkberatung" name=author>
    <meta content="Kostis Netzwerkberatung" name=publisher>
    <meta content="Kostis Netzwerkberatung" name=copyright>
    <meta name="GENERATOR" content="$prgnam $version">
    <link rev="made" href="mailto:kosta@kostis.de">
    <link href="/cisco/style.css" rel=stylesheet>

  </head>

  <body>

    <h1>$H1</h1>

    <table>

HTML_HEAD

read_oui () ;

print <<HTML_TABLE_HEAD;
      <tr>
        <td class="title">oui</td>
        <td class="title">vendor</td>
      </tr>

HTML_TABLE_HEAD

my $num_oui = keys %oui ;
foreach my $key (sort keys %oui)
{
	my $vendor = $oui { $key } ;
	print <<HTML_TABLE_LINE;
      <tr>
        <td>$key&nbsp;</td>
        <td>$vendor&nbsp;</td>
      </tr>

HTML_TABLE_LINE
}

my $FN_OUI = basename ($OUI) ;
print <<HTML_TAIL;
    </table>

    <h2>$prgnam statistics</h2>

    <p>$num_oui ouis/vendors listed from $FN_OUI</p>

    <p>$prgnam $version</p>

  </body>

</html>
HTML_TAIL
