#! /usr/bin/perl
#
###############################################################################
#
# Copyright (C) 2008-2009 by Kostis Netzwerkberatung
# Talstr. 25, D-63322 Roedermark, Germany
# kosta@kostis.de, http://www.kostis.de/
#
# 2009-02-03: V1.40 KK
#     - initial release
#
# You may use this software free of charge at your own risk.
#
###############################################################################
#
# select location
#
###############################################################################
#

$location = "" ;

require "CiscoTools.pl" ;

my $version="1.40 (2009-02-03)" ;
my $prgnam = basename ($0) ;
my $FN_LOCATIONS = basename ($LOCATIONS) ;

my %plocs = () ;

###############################################################################
# check if user can access only one location. if so skip selection.
###############################################################################

my $n_loc = read_locations () ;

my $n_ploc = 0 ;
my $loc = "" ;
foreach my $location (sort keys %locations)
{
	if (exists ($plocations {$location}))
	{
		$loc = $location ;
		$plocs {$location} = 1 ;
		$n_ploc++ ;
	}
}

###############################################################################
# display html header common to all events
###############################################################################

print <<HTML_HEAD;
Content-type: text/html

<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.0 Frameset//EN">

<html>

  <head>
HTML_HEAD

###############################################################################
# if there is only one permitted location use a short cut
###############################################################################

if ($n_ploc == 1)
{
	print <<HTML_FORWARD;
    <meta http-equiv="refresh" content="0; URL=/cgi-bin/cisco/index.cgi?location=$loc">
  </head>
</html>
HTML_FORWARD
	exit 0 ;
}

###############################################################################
# otherwise let user select location
###############################################################################

print <<HTML_BODY;

    <title>CiscoTools Select Location</title>
    <meta http-equiv=Content-Type content="text/html; charset=iso-8859-1">
    <meta http-equiv=Content-Language content=en>
    <meta content="CiscoTools" name=description>
    <meta content="Kostis Netzwerkberatung" name=author>
    <meta content="Kostis Netzwerkberatung" name=publisher>
    <meta content="Kostis Netzwerkberatung" name=copyright>
    <meta name="GENERATOR" content="$prgnam $version">
    <link rev="made" href="mailto:kosta@kostis.de">
    <link href="/cisco/style.css" rel=stylesheet>

  </head>

  <body>

    <h1><strong><font color="#0000A0">Cisco</font><font color="#0000FF">Tools</font></strong> Select Location</h1>

    <p>Please select one of the following locations:</p>

    <table border="1">

      <tr>
        <td class="title">location&nbsp;</td><td class="title">descriptions&nbsp;</td>
      </tr>
HTML_BODY

foreach my $loc (sort keys %plocs)
{
	print <<HTML_TABLE;

      <tr>
        <td><a href="/cgi-bin/cisco/index.cgi?location=$loc" target="_blank">$loc</a>&nbsp;</td>
        <td>$locations{$loc}</td>
      </tr>
HTML_TABLE
}

print <<HTML_TAIL;

    </table>

    <p>Read $n_loc locations from $FN_LOCATIONS</p>

    <p>$prgnam $version</p>

  </body>

</html>
HTML_TAIL
