#! /usr/bin/perl
#
###############################################################################
#
# Copyright (C) 2004-2009 by Kostis Netzwerkberatung
# Talstr. 25, D-63322 Roedermark, Germany
# kosta@kostis.de, http://www.kostis.de/
#
# 2009-02-03: V1.40 KK
#     - initial release
#
# You may use this software free of charge at your own risk.
#
###############################################################################
#
# list interfaces, which haven't been used after a given date
#
###############################################################################
#

require "CiscoTools.pl" ;

###############################################################################

my $version = "1.40 (2009-02-03)" ;
my $prgnam = basename ($0) ;
my $lmode = $prgnam ;
$lmode =~ s/-.*$// ;

###############################################################################
# HTML title
###############################################################################

my $TITLE="CiscoTools $prgnam $location" ;
my $H1="<strong><font color=\"#0000A0\">Cisco</font><font color=\"#0000FF\">Tools</font></strong> $prgnam $location" ;

###############################################################################
#
# main ()
#
###############################################################################

###############################################################################
# read data
###############################################################################

read_mac () ;

###############################################################################
# map data
###############################################################################

map_mac () ;

###############################################################################
# print HTML head
###############################################################################

print <<HTML_HEAD;
Content-type: text/html

<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">

<html>

  <head>

    <title>$TITLE since $listdate</title>
    <meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1">
    <meta http-equiv=Content-Language content=en>
    <meta content="CiscoTools" name=description>
    <meta content="Kostis Netzwerkberatung" name=author>
    <meta content="Kostis Netzwerkberatung" name=publisher>
    <meta content="Kostis Netzwerkberatung" name=copyright>
    <meta name="GENERATOR" content="$prgnam $version">
    <link rev="made" href="mailto:webmaster@kostis.de">
    <link href="/cisco/style.css" rel=stylesheet>

  </head>

  <body>

    <h1>$H1 since $listdate</h1>

HTML_HEAD

###############################################################################
# check if user is allowed to view this location
###############################################################################

read_locations () ;

if (not exists ($plocations {$location}))
{
###############################################################################
	print <<HTML_NOPERM;
    <p>Your account $username has no permission to view location $location</p>

    <p>$prgnam $version</p>

  </body>

</html>
HTML_NOPERM
###############################################################################
	exit ;
}

print <<HTML_TABLE;
    <table>

      <tr>
        <td class="title">switch</td>
        <td class="title">interface</td>
        <td class="title">last&nbsp;seen</td>
     </tr>

HTML_TABLE

my %interfacelast = () ;
foreach my $map (sort keys %interface2mac)
{
	(my $switch, my $interface, my $vlan) = split (",", $map) ;

	my $last = "" ;
	my @mactab = split (",", $interface2mac {$map}) ;
	foreach my $mac (@mactab)
	{
		my $key = "$mac,$map" ;
		my $isodate = $maclog {$key} ;
		$isodate =~ s/_/ / ;

		if ("$last" eq "")
		{
			$last = "$isodate" ;
		}
		elsif ("$last" lt "$isodate")
		{
			$last = "$isodate" ;
		}
	}

	my $key = $switch . "," . $interface ;
	if ((not exists ($interfacelast {$key})) || ("$interfacelast{$key}" lt $last))
	{
		$interfacelast {$key} = $last ;
	}
}

my $num_listed = 0 ;
my $doit ;
foreach $key (sort keys %interfacelast)
{
	(my $switch, my $interface) = split (",", $key) ;
	$last = $interfacelast {$key} ;

	$doit = "no" ;
	if (("$lmode" eq "unused") && ("$last" lt "$listdate"))
	{
		$doit = "yes" ;
	}
	elsif (("$lmode" eq "used") && ("$last" ge "$listdate"))
	{
		$doit = "yes" ;
	}

	if ("$doit" eq "yes")
	{
		$num_listed++ ;
		print <<HTML_TABLE_LINE;
      <tr>
        <td><a href="/cgi-bin/cisco/maclog.cgi?location=$location&amp;findswitch=$switch" target="_blank">$switch</a>&nbsp;</td>
        <td>$interface&nbsp;</td>
        <td>$last&nbsp;</td>
      </tr>

HTML_TABLE_LINE
	}
}

###############################################################################
# print HTML tail
###############################################################################

print <<HTML_TAIL;
    </table>

    <h2>$prgnam $location statistics</h2>

    <p>$num_listed $lmode interfaces since $listdate</p>

    <p>
      A switch interface is listed as unused if no mac
      address has been seen on that interface since the
      date given in the URL above.<br>
      The last date any mac address was seen is listed.
    </p>

    <p>$prgnam $version</p>

  </body>

</html>
HTML_TAIL
